Package org.eclipse.mat.ui

## Class QueryExecution

- java.lang.Object
- - org.eclipse.mat.ui.QueryExecution

    public class QueryExecution
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `displayResult​(MultiPaneEditor editor, PaneState originator, PaneState stateToReopen, QueryResult result, boolean isReproducable)`
`static void` `execute​(MultiPaneEditor editor, PaneState originator, PaneState stateToReopen, ArgumentSet set, boolean forcePrompt, boolean isReproducable)`
`static void` `executeAgain​(MultiPaneEditor editor, PaneState state)`
`static void` `executeCommandLine​(MultiPaneEditor editor, PaneState originator, java.lang.String commandLine)`
`static void` `executeCommandLine​(MultiPaneEditor editor, PaneState originator, java.lang.String commandLine, boolean prompt)`
`static void` `executeQuery​(MultiPaneEditor editor, QueryDescriptor query)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### executeAgain

    public static void executeAgain​(MultiPaneEditor editor,
                                    PaneState state)
                             throws SnapshotException

Throws:
  `SnapshotException`

#### executeCommandLine

    public static void executeCommandLine​(MultiPaneEditor editor,
                                          PaneState originator,
                                          java.lang.String commandLine)
                                   throws SnapshotException

Throws:
  `SnapshotException`

#### executeCommandLine

    public static void executeCommandLine​(MultiPaneEditor editor,
                                          PaneState originator,
                                          java.lang.String commandLine,
                                          boolean prompt)
                                   throws SnapshotException

Throws:
  `SnapshotException`

#### executeQuery

    public static void executeQuery​(MultiPaneEditor editor,
                                    QueryDescriptor query)
                             throws SnapshotException

Throws:
  `SnapshotException`

#### execute

    public static void execute​(MultiPaneEditor editor,
                               PaneState originator,
                               PaneState stateToReopen,
                               ArgumentSet set,
                               boolean forcePrompt,
                               boolean isReproducable)

#### displayResult

    public static void displayResult​(MultiPaneEditor editor,
                                     PaneState originator,
                                     PaneState stateToReopen,
                                     QueryResult result,
                                     boolean isReproducable)